> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List templates

> List Podcast templates.

MCP tool: `podcast_list_templates`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/templates
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/templates:
    get:
      tags:
        - Podcast
      summary: list templates
      description: List Podcast templates.
      operationId: podcast_list_templates
      parameters:
        - description: 项目创建来源，可选
          in: query
          name: create_from
          schema:
            type: string
        - description: 模板用途，可选
          in: query
          name: usage
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastTemplateListResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastTemplateListResp:
      properties:
        templates:
          items:
            $ref: '#/components/schemas/vo.PodcastTemplateListRespItem'
          type: array
      type: object
    vo.PodcastTemplateListRespItem:
      properties:
        aspect_ratio:
          description: 宽高比 0:9:16/1:16:9
          type: integer
        cover_url:
          type: string
        heat_value:
          type: integer
        id:
          type: integer
        name:
          type: string
        project_id:
          type: string
        tag:
          type: string
        video_duration:
          type: number
        video_url:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````